--  This program illustrates using the dimensioned units facility with all
--  checking in force.

with Ada.Text_IO;              use Ada.Text_IO;
with Metric_System_Float;      use Metric_System_Float;
with Dimensioned_Units_Float;  use Dimensioned_Units_Float;

procedure Demo_Checked is

   M : Mass := 1.0 * Kilogram;
   E : Erg := M * C**2;

begin
   Put_Line (Float'Image (Value (E)));
end Demo_Checked;

